# testcafe-reporter-easykad4jira-allure-reporter
[![Build Status](https://travis-ci.org/milan-easykad/testcafe-reporter-easykad4jira-allure-reporter.svg)](https://travis-ci.org/milan-easykad/testcafe-reporter-easykad4jira-allure-reporter)

This is the **easykad4jira-allure-reporter** reporter plugin for [TestCafe](http://devexpress.github.io/testcafe).

<p align="center">
    <img src="https://raw.github.com/milan-easykad/testcafe-reporter-easykad4jira-allure-reporter/master/media/preview.png" alt="preview" />
</p>

## Install

```
npm install testcafe-reporter-easykad4jira-allure-reporter
```

## Usage

When you run tests from the command line, specify the reporter name by using the `--reporter` option:

```
testcafe chrome 'path/to/test/file.js' --reporter easykad4jira-allure-reporter
```


When you use API, pass the reporter name to the `reporter()` method:

```js
testCafe
    .createRunner()
    .src('path/to/test/file.js')
    .browsers('chrome')
    .reporter('easykad4jira-allure-reporter') // <-
    .run();
```

## Author
uxi187 
